## org.osgi.service.repository
Interface RepositoryContent

    public interface RepositoryContent

An accessor for the default content of a resource. All `Resource` objects which represent resources in a `Repository` must implement this interface. A user of the resource can then cast the `Resource` object to this type and then obtain an `InputStream` to the default content of the resource.

Version:
  $Id$

Method Summary
`InputStream` `getContent()` Returns a new input stream to the default format of this resource.

Method Detail

### getContent

    InputStream getContent()

  Returns a new input stream to the default format of this resource.

  Returns:
    A new input stream for associated resource.

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.